## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# VariablesStack::ParamsVectorEntry Struct Reference

`#include <VariablesStack.hpp>`

Collaboration diagram for VariablesStack::ParamsVectorEntry:

[legend]
List of all members.

## Public Methods

- ParamsVectorEntry ()
- ParamsVectorEntry (const XalanQName *qname, const XObjectPtr value)
- ParamsVectorEntry (const XalanQName *qname, const ElemVariable *variable)

## Public Attributes

- const XalanQName* m_qname
- XObjectPtr m_value
- const ElemVariable* m_variable

## Constructor & Destructor Documentation

VariablesStack::ParamsVectorEntry::ParamsVectorEntry ( | )

VariablesStack::ParamsVectorEntry::ParamsVectorEntry ( | const XalanQName * qname,
| const XObjectPtr value )

VariablesStack::ParamsVectorEntry::ParamsVectorEntry ( | const XalanQName * qname,
| const ElemVariable * variable )

## Member Data Documentation

const XalanQName * VariablesStack::ParamsVectorEntry::m_qname

XObjectPtr VariablesStack::ParamsVectorEntry::m_value

const ElemVariable * VariablesStack::ParamsVectorEntry::m_variable

The documentation for this struct was generated from the following file:

- VariablesStack.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.